Page 3 of 3

Re: Urgent, lost control

Posted: Mon Sep 15, 2008 7:48 pm
by jgross
So, general thoughts. I need to upgrade a client's Classic Palette this Friday. They're at 10.1.1, I'll take them to either 10.3.1 or 10.4.2. These are pretty low end users and there's no need for routing functions in this space. What's the safer, more stable bet at this point?

Re: Urgent, lost control

Posted: Tue Sep 16, 2008 10:11 am
by amoyer
Well, unless you have a version saved somewhere, you can no longer download 10.4.2 from the Strand website. 10.3.1 isn't there either. 10.3.1 was stable. And I know there are issues with some Palettes firmware not updating correctly when upgrading to 10.4.2. Hopefully there will be a new, more stable, version up soon.

Re: Urgent, lost control

Posted: Tue Sep 16, 2008 10:44 am
by GaryDouglas
10.4 version were temporarily pulled down in response to this thread.

A new release will be available soon.

Re: Urgent, lost control

Posted: Tue Sep 16, 2008 11:24 am
by golights
If you go to the Strand web site and select support, product download, Palette series - 10.3.1 is there and can be downloaded.